---
title: BluetoothRemoteGATTDescriptor
slug: Web/API/BluetoothRemoteGATTDescriptor
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTDescriptor
  - Experimental
  - Interface
  - Reference
  - Web Bluetooth API
---
<div>{{APIRef("Bluetooth API")}}{{SeeCompatTable}}</div>

<p>The <code>BluetoothRemoteGATTDescriptor</code> interface of the <a href="/Web/API/Web_Bluetooth_API">Web Bluetooth API</a> provides a GATT Descriptor, which provides further information about a characteristic’s value.</p>

<div class="note">
<p>This page describes the W3C Community Group Web Bluetooth API. For the Firefox OS Bluetooth API, see <a href="/en-US/docs/Archive/B2G_OS/API/BluetoothGattDescriptor"><code>BluetoothGattDescriptor</code> (Firefox OS)</a>.</p>
</div>

<h2 id="Interface">Interface</h2>

<pre class="syntaxbox">interface BluetoothRemoteGATTDescriptor {
  readonly attribute BluetoothGATTCharacteristic characteristic;
  readonly attribute UUID uuid;
  readonly attribute ArrayBuffer? value;
  Promise&lt;ArrayBuffer&gt; readValue();
  Promise&lt;void&gt; writeValue(BufferSource value);
};</pre>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("BluetoothRemoteGATTDescriptor.characteristic")}}{{ReadOnlyInline}}</dt>
 <dd>Returns the {{DOMxRef("BluetoothRemoteGATTCharacteristic")}} this descriptor belongs to.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTDescriptor.uuid")}}{{ReadOnlyInline}}</dt>
 <dd>Returns the UUID of the characteristic descriptor, for example '<code>00002902-0000-1000-8000-00805f9b34fb</code>' for theClient Characteristic Configuration descriptor.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTDescriptor.value")}}{{ReadOnlyInline}}</dt>
 <dd>Returns the currently cached descriptor value. This value gets updated when the value of the descriptor is read.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{DOMxRef("BluetoothRemoteGATTDescriptor.readValue()")}}</dt>
 <dd>Returns a {{JSxRef("Promise")}} that resolves to an {{JSxRef("ArrayBuffer")}} holding a duplicate  of the <code>value</code> property if it is available and supported. Otherwise it throws an error.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTDescriptor.writeValue()")}}</dt>
 <dd>Sets the value property to the bytes contained in an {{JSxRef("ArrayBuffer")}} and returns a {{JSxRef("Promise")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#bluetoothremotegattdescriptor", "BluetoothRemoteGATTDescriptor")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTDescriptor")}}</p>
